# Query Loan Summaries Return a paginated list of matching loan summaries. Endpoint: GET /loans Version: 3.0 Security: Enterprise API Key | Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT | Customer JWT ## Query parameters: - `limit` (integer) Maximum results per page. Default to 20, must be between 1 and 500. - `page` (integer) Page number of results to show (starting at page 1). - `sort` (string) Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character. - `loanId` (array) Filter by loan system identifiers. - `referenceLoanId` (array) Filter by reference loan id. - `loanProductType` (array) Filter by loan product type. Enum: "TradingAccount" - `merchantId` (string) Filter by merchant identifier - `customerId` (array) Filter by customer identifier - `currency` (string) Filter by currency Example: "AUD" - `status` (array) Filter by loan status Enum: "enabled", "disabled" - `createdFromInclusive` (string, required) Return loans that were created at or after this timestamp in ISO-8601 format Example: "2026-02-26T03:26:16.449523247Z" - `createdToExclusive` (string) Return loans that were created before this timestamp in ISO-8601 format ## Response 200 fields (application/json): - `loanId` (string, required) The system identifier for the loan - `referenceLoanId` (string) A reference provided by the applicant to identify this loan. - `loanAccountName` (string, required) Account name associated with the loan - `loanMetadata` (object) Metadata associated with this loan, if any - `timeZone` (string, required) Timezone of loan used to determine statement time windows and for reporting. - `loanProductId` (string, required) The system identifier for the loan product for this loan - `loanFacilityId` (string, required) The system identifier for the loan facility providing the loan product - `borrowerMerchantId` (string, required) The merchant associated with the borrower - `borrowerMarketplaceId` (string) The marketplace associated with the merchant in scope, if any - `loanMasterAgreementId` (string) The master agreement linked to this loan, if any - `currency` (string, required) The currency of the loan - `billingPaymentSourceId` (string) Payment source used for automated payments of loan statements, if any. - `status` (string, required) The status of the loan product Enum: "enabled", "disabled" - `specification` (any, required) - `loanBalances` (object, required) - `loanBalances.availableBalance` (integer, required) The amount available for draw down from the loan in minor currency units - `loanBalances.usedBalance` (integer, required) The amount currently outstanding in customer statements in minor currency units - `loanBalances.reservedBalance` (integer, required) Loan transactions that have yet to appear on a customer statement in minor currency units - `loanBalances.pendingBalance` (integer, required) Repayments in minor currency units where the corresponding funds have yet to settle - `loanBalances.accountLimit` (integer, required) The maximum amount that can be owed at any point - `loanMasterAgreementBalances` (object) - `loanMasterAgreementBalances.availableBalance` (integer, required) The amount available for draw down from the loan master agreement in minor currency units - `loanMasterAgreementBalances.usedBalance` (integer, required) The amount currently reserved or loaned out from this loan master agreement in minor currency units - `createdAt` (string, required) - `updatedAt` (string, required) ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata